ChangeSet 1.1093.2.4, 2003/05/13 13:07:23-07:00, smb@smbnet.de

[PATCH] USB: another usb storage addition


diff -Nru a/drivers/usb/storage/unusual_devs.h b/drivers/usb/storage/unusual_devs.h
--- a/drivers/usb/storage/unusual_devs.h	Wed May 14 12:30:06 2003
+++ b/drivers/usb/storage/unusual_devs.h	Wed May 14 12:30:06 2003
@@ -332,6 +332,15 @@
                 US_SC_8070, US_PR_CBI, NULL,
                 US_FL_FIX_INQUIRY ),
 
+/* Pentax Optio S digital camera
+ * submitted by Stefan M. Brandl <smb@smbnet.de>
+ */
+UNUSUAL_DEV( 0x0a17, 0x0006, 0x0000, 0xffff,
+		"Pentax",
+		"Optio S",
+		US_SC_8070, US_PR_CB, NULL,
+		US_FL_MODE_XLATE|US_FL_FIX_INQUIRY),
+
 #ifdef CONFIG_USB_STORAGE_ISD200
 UNUSUAL_DEV(  0x05ab, 0x0031, 0x0100, 0x0110,
 		"In-System",
